#ifndef GAME_PLAYER_H
#define GAME_PLAYER_H

typedef struct {
    sys_i32 n_cake;
    sys_i32 n_dollars;
} game_player_collectibles_t;
extern game_player_collectibles_t game_player_collectibles;

typedef enum {
    GAME_PLAYER_PHASE_CROC = 0,
    GAME_PLAYER_PHASE_CHICKEN = 1,
} game_player_phase_t;
extern game_player_phase_t game_player_phase;

void game_player_init();
void game_player_update(bool* allow_input);
void game_player_get_center(sys_i32* x, sys_i32* y);

void game_player_set_camera();
void game_player_draw();
void game_player_draw_hud();

#endif // GAME_PLAYER_H